Bug 38019 - Text line-heights wrong
Summary: Text line-heights wrong
Status: RESOLVED FIXED
Alias: None
Product: poppler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-06 22:09 UTC by Joshua Richardson
Modified: 2011-06-18 05:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
top of page in acroreader (546.51 KB, image/tiff)
2011-06-06 22:09 UTC, Joshua Richardson
Details
top of page in poppler (272.37 KB, image/tiff)
2011-06-06 22:10 UTC, Joshua Richardson
Details
shows top of page after patched (378.25 KB, image/tiff)
2011-06-06 22:11 UTC, Joshua Richardson
Details
bottom of page in acroreader (578.80 KB, image/tiff)
2011-06-06 22:12 UTC, Joshua Richardson
Details
bottom of page in poppler (379.45 KB, image/tiff)
2011-06-06 22:14 UTC, Joshua Richardson
Details
shows bottom of page after patched (467.04 KB, image/tiff)
2011-06-06 22:15 UTC, Joshua Richardson
Details
Patch to fix vertical line-spacing issues (5.98 KB, patch)
2011-06-07 09:57 UTC, Joshua Richardson
Details | Splinter Review
Patch to remove some debugging messages that I introduced with previous patch (2.65 KB, patch)
2011-06-07 09:58 UTC, Joshua Richardson
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Richardson 2011-06-06 22:09:17 UTC
Created attachment 47635 [details]
top of page in acroreader

Some lines overwrite each other.  Some paragraphs have too much spacing.
Comment 1 Joshua Richardson 2011-06-06 22:10:16 UTC
Created attachment 47636 [details]
top of page in poppler

attachment shows text overwriting itself
Comment 2 Joshua Richardson 2011-06-06 22:11:11 UTC
Created attachment 47637 [details]
shows top of page after patched

fixed!
Comment 3 Joshua Richardson 2011-06-06 22:12:24 UTC
Created attachment 47638 [details]
bottom of page in acroreader
Comment 4 Joshua Richardson 2011-06-06 22:14:31 UTC
Created attachment 47639 [details]
bottom of page in poppler

shows too much space between paragraphs (extraneous line breaks)
Comment 5 Joshua Richardson 2011-06-06 22:15:12 UTC
Created attachment 47640 [details]
shows bottom of page after patched

fixed!
Comment 6 Joshua Richardson 2011-06-07 09:57:14 UTC
Created attachment 47667 [details] [review]
Patch to fix vertical line-spacing issues
Comment 7 Joshua Richardson 2011-06-07 09:58:29 UTC
Created attachment 47668 [details] [review]
Patch to remove some debugging messages that I introduced with previous patch
Comment 8 Albert Astals Cid 2011-06-07 10:51:08 UTC
Hi Joshua, thanks for the patches, but please do not mark the bug as Fixed because it is not, it will be once we commit the patches to the git repository
Comment 9 Albert Astals Cid 2011-06-18 05:42:29 UTC
I've commited a cleaned version of your patches and it will be part of next poppler >= 0.17.x releases

http://cgit.freedesktop.org/poppler/poppler/commit/?id=d4af1c4ef46abf1f11b7215c7b144ce7bb7912eb


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.